@import "./variables";

html {
    background: $grad-gray2;
    background-color: $white;
}

html,
body {
    padding: 0;
    margin: 0;
    font-family: Roboto, -apple-system, sans-serif;
    scroll-padding-top: 150px;
}

a {
    text-decoration: underline;
    color: $secondary-color;
    border-bottom: 2px solid transparent;

    &:hover {
        opacity: 0.8;
    }

    &:focus {
        outline: none;
    }

    &:focus-visible {
        border-bottom: 2px solid $secondary-color;
    }
}

button {
    &:focus {
        outline: none;
    }

    &:focus-visible {
        outline: 2px solid $secondary-color;
    }
}

input {
    &:focus {
        outline: none;
    }

    &:focus-visible {
        outline: 2px solid $secondary-color;
    }
}


/*Věci níže - jsou hacky nutné k úpravě vzhedu...*/
/*přidání úpravy tabletového zvětšení loga*/
@media (min-width: 576px) and (max-width:767px){
    .Header_header_scrolled__Ok3PA > a div:first-of-type {
        width: 2rem !important;
        height: 2rem !important;
    }
}


.Logos_logos__fr3hg a:first-child img {
    padding:0;
}
.Logos_logos__fr3hg a:not(:first-child) img {
//    background-color: pink;
   padding:.6rem;
    /* Vaše stylizace pro všechny obrázky kromě prvního */
}

#logorow2 a img {
//    background-color: pink;
   padding:.6rem;
    /* Vaše stylizace pro všechny obrázky kromě prvního */
}

@media (min-width:1299px){
.SocialIcon_logo-icon__N4dwR {
    // width: 23vw;
    height: 3rem !important;
    max-width: 12rem !important;
}

.Logos_logos__fr3hg{
 
gap:1.5rem !important;
}
}

@media (max-width:1298px) and (min-width:754px){
    .SocialIcon_logo-icon__N4dwR {
        height: 3rem !important;
        max-width: 9rem !important;


    }
    .Logos_logos__fr3hg, #logorow2, .Logos_logos-container__klH1o .Logos_logos__2S5El{
 
        gap:1.2rem !important;
        }
}


@media (min-width: 1280px){
    
        .Logos_logos-container__klH1o .Logos_logos__2S5El {
            gap: 1.2rem;
        }
}


@media (max-width:753px){
    .SocialIcon_logo-icon__N4dwR  {
        height: 3rem !important;
        max-width: 21vw !important;


    }
    .Logos_logos__fr3hg, #logorow2, .Logos_logos-container__klH1o .Logos_logos__2S5El{
 
        gap:3vw !important;
        }
}


@media (min-width: 768px) {
    .Header_header_scrolled__Ok3PA > a div:first-of-type {
        width: 2.7rem !important;
        height: 2.7rem !important;
    }
}

@media (max-width: 767px) and (min-width:576px) {
    .Header_header_scrolled__Ok3PA > a div:first-of-type {
        width: 2rem !important;
        height: 2rem !important;
    }
}
/*max767  min576*/
@media (min-width:992px){
#logorow2{
    // background-color: pink !important;
    margin-top:7.5rem !important;}
}

@media (max-width:991px){
    #logorow2{
        // background-color: pink !important;
        margin-top:0rem !important;}
    }

